PICOPORE-TEST(1)

NAME
picopore-test - compresses to temporary files and checks that all datasets and attributes are equal

SYNOPSIS
picopore-test [-h] --mode {lossless,deep-lossless,raw} [--revert] [--fastq] [--summary] [--manual STR] [-v] [-y] [-t INT] [--prefix STR] [--skip-root] [--print-every INT] [input [input ...]]

DESCRIPTION
A tool for reducing the size of an Oxford Nanopore Technologies dataset without losing any data

picopore-test compresses to temporary files and checks that all datasets and attributes are equal (lossless modes only)

OPTIONS

  positional arguments:

input
    list of directories or fast5 files to shrink

  optional arguments:

-h, --help
    show this help message and exit

--mode {lossless,deep-lossless,raw}
    choose compression mode

--revert
    reverts files to original size (lossless modes only)

--fastq, --no-fastq
    retain FASTQ data (raw mode only) (Default: --fastq)

--summary, --no-summary
    retain summary data (raw mode only) (Default: --nosummary)

--manual STR
    manually remove only groups whose paths contain STR (raw mode only, regular expressions permitted, overrides defaults)

-v, --version
    show version number and exit

-y  skip confirm step

-t INT, --threads INT
    number of threads (Default: 1)

--prefix STR
    add prefix to output files to prevent overwrite

--skip-root, --no-skip-root
    ignore files in root input directories for albacore realtime compression (Default: --no-skip-root)

--print-every INT
    print a dot every approximately INT files, or -1 to silence (Default: 100)

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.